Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-8528

Department: SUPPORT Affected Products: ADTF 3 Support Toolbox 2.0.0, ADTF

3.0.1

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF3SupportTB::Common

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage:

Wenn man ADTF 2.14.0 mit ADTF 3 support toolbox 2 über den GUI control von ADTF 3.0.1 startet und "init" drückt, stürzt die ADTF

2 Instanz ab. Einen stack trace konnte der Kollege leider nicht anhängen, da das entsprechende Fester ebenfalls nicht mehr reagiert.

In der Stack Trace Meldung tauchen häufig QT4 Core und GUI auf.

Wenn man ohne vorher auf init zu klicken direkt "start" verwendet, tritt das Problem nicht auf.

Wenn dann wiederum ein "deinit" versucht wird, stürzt ADTF 2 wieder ab.

Best regards - Beste Grüße

Ursula Groh

EB Assist ADTF Support-Team

Lösung:

Es handelt es sich um einen bereits bekannten Bug:

https://www.cip.audi.de/jira/browse/ACORE-8528

Sobald mit dem adtf_control (oder gui_control) das runlevel der ADTF2 Instanz auf rl 2 oder 1 gesenkt wird, stürzt ADTF2 ab.

History

#1 - 2017-07-21 09:36 - hidden

- Project changed from Public Support to 7

- Topic set to ADTF3SupportTB::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3 Support Toolbox 2.0.0, ADTF 3.0.1 added

- Platform Windows 7 64bit added

#2 - 2017-07-21 10:53 - hidden

- Status changed from New to In Progress

#3 - 2017-07-21 11:52 - hidden

Hallo Ursula,

kannst du bitte den Usecase noch einmal genau beschreiben?

Verwendet ihr das mitgelieferte Beispiel der SupportToolbox?

Wenn ja, warum verwendet ihr dafür das ADTF GUI Control? Im Beispiel wird lediglich das ADTF Control verwendet.

Ich kann den beschriebenen Fehler leider nicht nachstellen.

#4 - 2017-07-21 11:52 - hidden

- Status changed from In Progress to Customer Feedback Required
#5 - 2017-07-25 13:13 - hidden

Hallo,

ich hab es schon an den Kollegen weitergeleitet. Wenn ich mehr Infos hab, geb ich euch Bescheid.

#6 - 2017-07-26 12:33 - hidden

Hallo,

das kam nun vom Kollegen:

ich habe das gleiche noch einmal mit dem mitgelieferten Beispiel aus der support toolbox und dem adtf_control (ohne GUI) ausprobiert.

Fehler Nachstellen:

· (adtf_control.exe im PATH hinzufügen)

· In ADTF 2 mit support toolbox: “addons/adtf3-support-toolbox/src/examples/sessions/demo/run.bat“ starten

· In der dann aufgerufenen adtf_control runlevel auf 2 wechseln (rl 2)

Der Fehler tritt auch auf wenn statt des adtf_control der adtf_gui_control verwendet und auf init geklickt wird.

Einen echten use case hab ich nicht, der Fehler ist nur beim rumprobieren aufgetreten.

Weitere Beobachtungen:

· Das runlevel scheint bei der support toolbox nie unter 3 zu fallen und ist bereits beim Starten in rl3.

· Die runlevels von 3 aufwärts lassen sich beliebig wechseln

Viele Grüße

Ursula

#7 - 2017-07-28 14:25 - hidden

Hallo Ursula,

ich komme leider erst am Montag dazu diesen Supportfall nachzustellen.

Entschuldige die Umstände.

#8 - 2017-07-28 16:03 - hidden

Hallo,

zur Kenntnis genommen.

Da das dem Kollegen eh nur beim Training aufgefallen ist, stufe ich diesen Cornercase als weniger dringend ein.

Lasst mich einfach wissen, wenn es Neuigkeiten dazu gibt.

Viele Grüße

Ursula

#9 - 2017-08-02 09:04 - hidden

- Status changed from Customer Feedback Required to In Progress

#10 - 2017-08-02 14:48 - hidden

- File exception.png added

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-8528

Hallo Ursula,

ich konnte euer Problem erfolgreich nachstellen. Dabei handelt es sich um einen bereits bekannten Bug:

https://www.cip.audi.de/jira/browse/ACORE-8528
Hier die Exception:

Damit sollte diesese Supportticket abgeschlossen sein. Bitte um kurzes Feedback, damit wir es schließen können.

Dürfen wir dieses Ticket öffentlich machen?

Gruß

Stephan

#11 - 2017-08-03 10:18 - hidden

Hi,

sollte passen, danke euch!

Könnt es gerne Public machen.

Viele Grüße

Ursula

#12 - 2017-08-07 10:30 - hidden

- Project changed from 7 to Public Support

- Subject changed from ADTFS-47340 Bug from Transition Training to ADTFS-47340 ADTF Launcher crashes when changing to runlevel below
RL_system

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level

@Florian, Ticket kann geschlossen werden.

#13 - 2017-08-07 13:22 - hidden

- Status changed from To Be Closed to Closed

Files

exception.png 66.1 KB 2017-08-02 hidden

Powered by TCPDF (www.tcpdf.org)

2024-05-05 4/4

http://www.tcpdf.org

